idevicedebugserverproxy(1)

NAME
idevicedebugserverproxy - Remote debugging proxy.

SYNOPSIS
idevicedebugserverproxy [OPTIONS] [PORT]

DESCRIPTION
Proxy a debugserver connection from a device for remote debugging. After starting up, clients can connect to PORT and communicate with the remote debugserver using the LLVM remote serial debugging protocol. Thus connecting using LLDB or a LLVM based gdb to this port would allow remote debugging. The developer disk image needs to be mounted for this service to be available.

OPTIONS

-u, --udid UDID
    target specific device by UDID.

-n, --network
    connect to network device.

-l, --lldb
    Enable lldb support.

-d, --debug
    enable communication debugging.

-h, --help
    prints usage information.

-v, --version
    prints version information.

USAGE

PORT
    The port under which the proxy should listen for connections from clients. If omitted, the next available port will be used and printed to stdout.

AUTHORS
Martin Szulecki

ON THE WEB
https://libimobiledevice.org https://github.com/libimobiledevice/libimobiledevice